## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroup

All Superinterfaces:
  Grouping, GroupingSpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  SuperGroupImpl

public interface SuperGroup
extends Grouping

A representation of the model object 'SQL Super Group'.

The following features are supported:

- `Super Group Type`
- `Super Group Element List`

See Also:
  `SQLQueryModelPackage.getSuperGroup()`

Method Summary
`EList` `getSuperGroupElementList()` Returns the value of the 'Super Group Element List' containment reference list.
`SuperGroupType` `getSuperGroupType()` Returns the value of the 'Super Group Type' attribute.
`void` `setSuperGroupType(SuperGroupType value)` Sets the value of the '`Super Group Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Grouping
`getGroupingSetsElementExpr, setGroupingSetsElementExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSuperGroupType

    public SuperGroupType getSuperGroupType()

  Returns the value of the 'Super Group Type' attribute. The literals are from the enumeration `SuperGroupType`.

  If the meaning of the 'Super Group Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Type' attribute.
  See Also:
    `SuperGroupType`, `setSuperGroupType(SuperGroupType)`, `SQLQueryModelPackage.getSuperGroup_SuperGroupType()`

### setSuperGroupType

    public void setSuperGroupType(SuperGroupType value)

  Sets the value of the '`Super Group Type`' attribute.

  Parameters:
    `value` - the new value of the 'Super Group Type' attribute.
  See Also:
    `SuperGroupType`, `getSuperGroupType()`

### getSuperGroupElementList

    public EList getSuperGroupElementList()

  Returns the value of the 'Super Group Element List' containment reference list. The list contents are of type `SuperGroupElement`. It is bidirectional and its opposite is '`Super Group`'.

  If the meaning of the 'Super Group Element List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getSuperGroup_SuperGroupElementList()`, `SuperGroupElement.getSuperGroup()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.